## dos2unix 5.0

=== Makefile ===

# Author: Erwin Waterlander
# Copyright (C) 2009-2010 Erwin Waterlander
# This file is distributed under the same license as the dos2unix package.

include version.mk

CC=gcc
PACKAGE=dos2unix
UNIX2DOS=unix2dos
MAC2UNIX=mac2unix
UNIX2MAC=unix2mac

ENABLE_NLS = 1

EXE=
ifneq (, $(wildcard /cygdrive))
	EXE = .exe
endif
BIN=$(PACKAGE)$(EXE)
UNIX2DOS_BIN=$(UNIX2DOS)$(EXE)
MAC2UNIX_BIN=$(MAC2UNIX)$(EXE)
UNIX2MAC_BIN=$(UNIX2MAC)$(EXE)

LINK = ln -sf

prefix		= /usr
exec_prefix	= $(prefix)
bindir		= $(exec_prefix)/bin
datarootdir	= $(prefix)/share
datadir		= $(datarootdir)

docdir		= $(datarootdir)/doc/$(PACKAGE)-$(DOS2UNIX_VERSION)
localedir	= $(datarootdir)/locale
mandir		= $(datarootdir)/man
man1dir		= $(mandir)/man1
manext		= .1
man1ext		= .1

ifdef ENABLE_NLS
DOS2UNIX_POT		= po/dos2unix/$(PACKAGE).pot
DOS2UNIX_POFILES	= $(wildcard po/dos2unix/*.po)
DOS2UNIX_MOFILES	= $(patsubst %.po,%.mo,$(DOS2UNIX_POFILES))
UNIX2DOS_POT		= po/unix2dos/$(UNIX2DOS).pot
UNIX2DOS_POFILES	= $(wildcard po/unix2dos/*.po)
UNIX2DOS_MOFILES	= $(patsubst %.po,%.mo,$(UNIX2DOS_POFILES))
MOFILES			= $(DOS2UNIX_MOFILES) $(UNIX2DOS_MOFILES)
endif
DOCFILES	= $(PACKAGE).txt $(PACKAGE).ps $(PACKAGE).pdf $(UNIX2DOS).txt $(UNIX2DOS).ps $(UNIX2DOS).pdf
INSTALL_OBJS_DOC = README.txt NEWS.txt ChangeLog.txt COPYING.txt TODO.txt $(DOCFILES)

# On some systems (e.g. FreeBSD 4.10) GNU install is installed as `ginstall'.
INSTALL		= install
# On some systems (e.g. GNU Win32) GNU mkdir is installed as `gmkdir'.
MKDIR           = mkdir

ifdef ENABLE_NLS
	DOS2UNIX_NLSDEFS = -DENABLE_NLS -DLOCALEDIR=\"$(localedir)\" -DPACKAGE=\"$(PACKAGE)\"
	UNIX2DOS_NLSDEFS = -DENABLE_NLS -DLOCALEDIR=\"$(localedir)\" -DPACKAGE=\"$(UNIX2DOS)\"
endif

# ......................................................... OS flags ...

OS =

ifndef OS
ifneq (, $(wildcard /boot/vmlinuz*))
	OS = linux
endif
endif

ifndef OS
ifneq (, $(wildcard /cygdrive))
	OS = cygwin
	LINK = cp -f
endif
endif

ifeq (cygwin,$(OS))
ifdef ENABLE_NLS
	LDFLAGS_EXTRA = -lintl -liconv -Wl,--enable-auto-import
endif
endif


ifndef OS
ifeq (FreeBSD, $(shell uname -s))
	OS = freebsd
endif
endif

ifeq (freebsd,$(OS))
	# Running under FreeBSD
ifdef ENABLE_NLS
	CFLAGS_OS     = -I/usr/local/include
	LDFLAGS_EXTRA = -lintl -L/usr/local/lib
endif
endif

ifndef OS
ifneq (, $(wildcard /opt/csw))
	OS = sun
endif
endif

ifeq (sun,$(OS))
	# Running under SunOS/Solaris
	LDFLAGS_EXTRA = -lintl
endif

ifndef OS
ifeq (HP-UX, $(shell uname -s))
	OS = hpux
endif
endif

ifeq (hpux,$(OS))
	# Running under HP-UX
	EXTRA_DEFS += -Dhpux -D_HPUX_SOURCE
endif

ifndef OS
	OS = unknown
endif

# ............................................................ flags ...

CFLAGS	= -O2 -Wall -D_LARGEFILE_SOURCE $(RPM_OPT_FLAGS)

EXTRA_CFLAGS	= -DVER_REVISION=\"$(DOS2UNIX_VERSION)\" \
		  -DVER_DATE=\"$(DOS2UNIX_DATE)\" \
		  $(CFLAGS_OS)

ifdef STATIC
	EXTRA_CFLAGS += -static
endif

LDFLAGS		= $(LDFLAGS_EXTRA)

DEFS		= $(EXTRA_DEFS)

# .......................................................... targets ...


all: $(BIN) $(MAC2UNIX_BIN) $(UNIX2DOS_BIN) $(UNIX2MAC_BIN) $(MAC2UNIX).1 $(UNIX2MAC).1 $(DOCFILES) $(MOFILES)

dos2unix.o : dos2unix.c
	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@

unix2dos.o : unix2dos.c
	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(UNIX2DOS_NLSDEFS) $(CFLAGS) -c $< -o $@

$(BIN): dos2unix.o
	$(CC) $< $(LDFLAGS) -o $@

$(UNIX2DOS_BIN): unix2dos.o
	$(CC) $< $(LDFLAGS) -o $@

$(MAC2UNIX_BIN) : $(BIN)
	$(LINK) $< $@

$(MAC2UNIX).1 : $(PACKAGE).1
	$(LINK) $< $@

$(UNIX2MAC_BIN) : $(UNIX2DOS_BIN)
	$(LINK) $< $@

$(UNIX2MAC).1 : $(UNIX2DOS).1
	$(LINK) $< $@


mofiles: $(MOFILES)

docfiles: $(DOCFILES)

tags: $(DOS2UNIX_POT)

merge: $(DOS2UNIX_POFILES)

po/dos2unix/%.po : $(DOS2UNIX_POT)
	msgmerge -U $@ $(DOS2UNIX_POT) --backup=numbered

po/unix2dos/%.po : $(UNIX2DOS_POT)
	msgmerge -U $@ $(UNIX2DOS_POT) --backup=numbered

%.mo : %.po
	msgfmt -c $< -o $@

$(DOS2UNIX_POT) : dos2unix.c
	xgettext -C --keyword=_ $+ -o $(DOS2UNIX_POT)

$(UNIX2DOS_POT) : unix2dos.c
	xgettext -C --keyword=_ $+ -o $(UNIX2DOS_POT)

%.txt : %.1
	LC_ALL=C nroff -man -c $< | col -bx > $@

%.ps : %.1
	groff -man $< -T ps > $@

%.pdf: %.ps
	ps2pdf $< $@

install: all
	$(MKDIR) -p -m 755 $(DESTDIR)$(bindir)
	$(INSTALL)  -m 755 $(BIN) $(DESTDIR)$(bindir)
	$(INSTALL)  -m 755 $(UNIX2DOS_BIN) $(DESTDIR)$(bindir)
ifeq ($(LINK),cp -f)
	$(INSTALL)  -m 755 $(MAC2UNIX_BIN) $(DESTDIR)$(bindir)
	$(INSTALL)  -m 755 $(UNIX2MAC_BIN) $(DESTDIR)$(bindir)
else
	cd $(DESTDIR)$(bindir); $(LINK) $(BIN) $(MAC2UNIX_BIN)
	cd $(DESTDIR)$(bindir); $(LINK) $(UNIX2DOS_BIN) $(UNIX2MAC_BIN)
endif
	$(MKDIR) -p -m 755 $(DESTDIR)$(man1dir)
	$(INSTALL)  -m 644 $(PACKAGE).1 $(DESTDIR)$(man1dir)
	$(INSTALL)  -m 644 $(MAC2UNIX).1 $(DESTDIR)$(man1dir)
	$(INSTALL)  -m 644 $(UNIX2DOS).1 $(DESTDIR)$(man1dir)
	$(INSTALL)  -m 644 $(UNIX2MAC).1 $(DESTDIR)$(man1dir)
ifdef ENABLE_NLS
	@echo "-- install-mo"
	$(foreach mofile, $(MOFILES), $(MKDIR) -p -m 755 $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES ;)
	$(foreach mofile, $(DOS2UNIX_MOFILES), $(INSTALL) -m 644 $(mofile) $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(PACKAGE).mo ;)
	$(foreach mofile, $(UNIX2DOS_MOFILES), $(INSTALL) -m 644 $(mofile) $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(UNIX2DOS).mo ;)
endif
	@echo "-- install-doc"
	$(MKDIR) -p -m 755 $(DESTDIR)$(docdir)
	$(INSTALL) -m 644 $(INSTALL_OBJS_DOC) $(DESTDIR)$(docdir)

uninstall:
	@echo "-- target: uninstall"
	-rm -f $(DESTDIR)$(bindir)/$(BIN)
	-rm -f $(DESTDIR)$(bindir)/$(MAC2UNIX_BIN)
	-rm -f $(DESTDIR)$(bindir)/$(UNIX2DOS_BIN)
	-rm -f $(DESTDIR)$(bindir)/$(UNIX2MAC_BIN)
ifdef ENABLE_NLS
	$(foreach mofile, $(DOS2UNIX_MOFILES), rm -f $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(PACKAGE).mo ;)
	$(foreach mofile, $(UNIX2DOS_MOFILES), rm -f $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(UNIX2DOS).mo ;)
endif
	-rm -f $(DESTDIR)$(mandir)/man1/$(PACKAGE).1
	-rm -f $(DESTDIR)$(mandir)/man1/$(MAC2UNIX).1
	-rm -f $(DESTDIR)$(mandir)/man1/$(UNIX2DOS).1
	-rm -f $(DESTDIR)$(mandir)/man1/$(UNIX2MAC).1
	-rm -rf $(DESTDIR)$(docdir)

clean:
	rm -f *.o
	rm -f $(BIN) $(UNIX2DOS_BIN) $(MAC2UNIX_BIN) $(UNIX2MAC_BIN) $(MAC2UNIX).1 $(UNIX2MAC).1
	rm -f *.bak *~
	rm -f */*.bak */*~

maintainer-clean: clean
	rm -f $(DOCFILES)
	rm -f $(MOFILES)

realclean: maintainer-clean


ZIPOBJ	= bin/$(BIN) \
	  bin/$(MAC2UNIX_BIN) \
	  bin/$(UNIX2DOS_BIN) \
	  bin/$(UNIX2MAC_BIN) \
	  share/man/man1/$(PACKAGE).1 \
	  share/man/man1/$(MAC2UNIX).1 \
	  share/man/man1/$(UNIX2DOS).1 \
	  share/man/man1/$(UNIX2MAC).1 \
	  share/doc/$(PACKAGE)-$(DOS2UNIX_VERSION) \
	  $(ZIPOBJ_EXTRA)

ifdef ENABLE_NLS
ZIPOBJ += share/locale/*/LC_MESSAGES/$(PACKAGE).mo
ZIPOBJ += share/locale/*/LC_MESSAGES/$(UNIX2DOS).mo
endif

VERSIONSUFFIX	= -bin
ZIPFILE = $(PACKAGE)-$(DOS2UNIX_VERSION)$(VERSIONSUFFIX).zip
TGZFILE = $(PACKAGE)-$(DOS2UNIX_VERSION)$(VERSIONSUFFIX).tar.gz
TBZFILE = $(PACKAGE)-$(DOS2UNIX_VERSION)$(VERSIONSUFFIX).tar.bz2

dist-zip:
	rm -f $(prefix)/$(ZIPFILE)
	cd $(prefix) ; unix2dos share/doc/$(PACKAGE)-$(DOS2UNIX_VERSION)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
	cd $(prefix) ; zip -r $(ZIPFILE) $(ZIPOBJ)
	mv -f $(prefix)/$(ZIPFILE) ..

dist-tgz:
	cd $(prefix) ; dos2unix share/doc/$(PACKAGE)-$(DOS2UNIX_VERSION)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
	cd $(prefix) ; tar cvzf $(TGZFILE) $(ZIPOBJ)
	mv $(prefix)/$(TGZFILE) ..

dist-tbz:
	cd $(prefix) ; dos2unix share/doc/$(PACKAGE)-$(DOS2UNIX_VERSION)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
	cd $(prefix) ; tar cvjf $(TBZFILE) $(ZIPOBJ)
	mv $(prefix)/$(TBZFILE) ..

dist: dist-tgz

strip:
	strip $(BIN)
	strip $(UNIX2DOS_BIN)
ifeq ($(LINK),cp -f)
	strip $(MAC2UNIX_BIN)
	strip $(UNIX2MAC_BIN)
endif

## dos2unix 5.1.1

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 include version.mk
 
 CC=gcc
+STRIP=strip
 PACKAGE=dos2unix
 UNIX2DOS=unix2dos
 MAC2UNIX=mac2unix
@@ -22,7 +23,10 @@
 MAC2UNIX_BIN=$(MAC2UNIX)$(EXE)
 UNIX2MAC_BIN=$(UNIX2MAC)$(EXE)
 
+# DJGPP support linking of .EXEs via 'stubify'.
+# See djgpp.mak and http://www.delorie.com/djgpp/v2faq/faq22_5.html
 LINK = ln -sf
+LINK_MAN = $(LINK)
 
 prefix		= /usr
 exec_prefix	= $(prefix)
@@ -30,7 +34,8 @@
 datarootdir	= $(prefix)/share
 datadir		= $(datarootdir)
 
-docdir		= $(datarootdir)/doc/$(PACKAGE)-$(DOS2UNIX_VERSION)
+docsubdir	= $(PACKAGE)-$(DOS2UNIX_VERSION)
+docdir		= $(datarootdir)/doc/$(docsubdir)
 localedir	= $(datarootdir)/locale
 mandir		= $(datarootdir)/man
 man1dir		= $(mandir)/man1
@@ -46,8 +51,12 @@
 UNIX2DOS_MOFILES	= $(patsubst %.po,%.mo,$(UNIX2DOS_POFILES))
 MOFILES			= $(DOS2UNIX_MOFILES) $(UNIX2DOS_MOFILES)
 endif
-DOCFILES	= $(PACKAGE).txt $(PACKAGE).ps $(PACKAGE).pdf $(UNIX2DOS).txt $(UNIX2DOS).ps $(UNIX2DOS).pdf
+DOCFILES	= $(PACKAGE).txt $(PACKAGE).ps $(PACKAGE).pdf $(PACKAGE).htm
 INSTALL_OBJS_DOC = README.txt NEWS.txt ChangeLog.txt COPYING.txt TODO.txt $(DOCFILES)
+
+#PODFILES	= man/man1/dos2unix.pod $(wildcard man/*/man1/dos2unix.pod)
+PODFILES	= $(wildcard man/*/man1/dos2unix.pod)
+MANFILES	= $(patsubst %.pod,%.1,$(PODFILES))
 
 # On some systems (e.g. FreeBSD 4.10) GNU install is installed as `ginstall'.
 INSTALL		= install
@@ -73,6 +82,7 @@
 ifneq (, $(wildcard /cygdrive))
 	OS = cygwin
 	LINK = cp -f
+	LINK_MAN = cp -f
 endif
 endif
 
@@ -96,6 +106,15 @@
 	LDFLAGS_EXTRA = -lintl -L/usr/local/lib
 endif
 endif
+
+ifeq (Darwin, $(shell uname -s))
+	OS = Darwin
+ifdef ENABLE_NLS
+	CFLAGS_OS     = -I/usr/local/include
+	LDFLAGS_EXTRA = -lintl -L/usr/local/lib
+endif
+endif
+
 
 ifndef OS
 ifneq (, $(wildcard /opt/csw))
@@ -142,7 +161,7 @@
 # .......................................................... targets ...
 
 
-all: $(BIN) $(MAC2UNIX_BIN) $(UNIX2DOS_BIN) $(UNIX2MAC_BIN) $(MAC2UNIX).1 $(UNIX2MAC).1 $(DOCFILES) $(MOFILES)
+all: $(BIN) $(MAC2UNIX_BIN) $(UNIX2DOS_BIN) $(UNIX2MAC_BIN) $(DOCFILES) $(MOFILES) $(MANFILES) man/man1/dos2unix.1
 
 dos2unix.o : dos2unix.c
 	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@
@@ -159,16 +178,12 @@
 $(MAC2UNIX_BIN) : $(BIN)
 	$(LINK) $< $@
 
-$(MAC2UNIX).1 : $(PACKAGE).1
-	$(LINK) $< $@
+%.1 : %.pod
+	$(MAKE) -C man/man1
 
 $(UNIX2MAC_BIN) : $(UNIX2DOS_BIN)
 	$(LINK) $< $@
 
-$(UNIX2MAC).1 : $(UNIX2DOS).1
-	$(LINK) $< $@
-
-
 mofiles: $(MOFILES)
 
 docfiles: $(DOCFILES)
@@ -179,9 +194,13 @@
 
 po/dos2unix/%.po : $(DOS2UNIX_POT)
 	msgmerge -U $@ $(DOS2UNIX_POT) --backup=numbered
+	# change timestamp in case .po file was not updated.
+	touch $@
 
 po/unix2dos/%.po : $(UNIX2DOS_POT)
 	msgmerge -U $@ $(UNIX2DOS_POT) --backup=numbered
+	# change timestamp in case .po file was not updated.
+	touch $@
 
 %.mo : %.po
 	msgfmt -c $< -o $@
@@ -192,14 +211,17 @@
 $(UNIX2DOS_POT) : unix2dos.c
 	xgettext -C --keyword=_ $+ -o $(UNIX2DOS_POT)
 
-%.txt : %.1
-	LC_ALL=C nroff -man -c $< | col -bx > $@
-
-%.ps : %.1
+%.txt : man/man1/%.pod
+	LC_CTYPE=C pod2text $< > $@
+
+%.ps : man/man1/%.1
 	groff -man $< -T ps > $@
 
 %.pdf: %.ps
 	ps2pdf $< $@
+
+%.htm : man/man1/%.pod
+	pod2html --title="$(PACKAGE) $(DOS2UNIX_VERSION) - DOS/MAC to UNIX and vice versa text file format converter" $< > $@
 
 install: all
 	$(MKDIR) -p -m 755 $(DESTDIR)$(bindir)
@@ -213,10 +235,21 @@
 	cd $(DESTDIR)$(bindir); $(LINK) $(UNIX2DOS_BIN) $(UNIX2MAC_BIN)
 endif
 	$(MKDIR) -p -m 755 $(DESTDIR)$(man1dir)
-	$(INSTALL)  -m 644 $(PACKAGE).1 $(DESTDIR)$(man1dir)
-	$(INSTALL)  -m 644 $(MAC2UNIX).1 $(DESTDIR)$(man1dir)
-	$(INSTALL)  -m 644 $(UNIX2DOS).1 $(DESTDIR)$(man1dir)
-	$(INSTALL)  -m 644 $(UNIX2MAC).1 $(DESTDIR)$(man1dir)
+	$(INSTALL)  -m 644 man/man1/$(PACKAGE).1 $(DESTDIR)$(man1dir)
+ifeq ($(LINK_MAN),cp -f)
+	$(INSTALL)  -m 644 man/man1/$(PACKAGE).1 $(DESTDIR)$(man1dir)/$(MAC2UNIX).1
+	$(INSTALL)  -m 644 man/man1/$(PACKAGE).1 $(DESTDIR)$(man1dir)/$(UNIX2DOS).1
+	$(INSTALL)  -m 644 man/man1/$(PACKAGE).1 $(DESTDIR)$(man1dir)/$(UNIX2MAC).1
+else
+	cd $(DESTDIR)$(man1dir); $(LINK_MAN) $(PACKAGE).1 $(MAC2UNIX).1
+	cd $(DESTDIR)$(man1dir); $(LINK_MAN) $(PACKAGE).1 $(UNIX2DOS).1
+	cd $(DESTDIR)$(man1dir); $(LINK_MAN) $(PACKAGE).1 $(UNIX2MAC).1
+endif
+	$(foreach manfile, $(MANFILES), $(MKDIR) -p -m 755 $(DESTDIR)$(datarootdir)/$(dir $(manfile)) ;)
+	$(foreach manfile, $(MANFILES), $(INSTALL) -m 644 $(manfile) $(DESTDIR)$(datarootdir)/$(dir $(manfile)) ;)
+	$(foreach manfile, $(MANFILES), cd $(DESTDIR)$(datarootdir)/$(dir $(manfile)) ; $(LINK_MAN) $(PACKAGE).1 $(MAC2UNIX).1 ;)
+	$(foreach manfile, $(MANFILES), cd $(DESTDIR)$(datarootdir)/$(dir $(manfile)) ; $(LINK_MAN) $(PACKAGE).1 $(UNIX2DOS).1 ;)
+	$(foreach manfile, $(MANFILES), cd $(DESTDIR)$(datarootdir)/$(dir $(manfile)) ; $(LINK_MAN) $(PACKAGE).1 $(UNIX2MAC).1 ;)
 ifdef ENABLE_NLS
 	@echo "-- install-mo"
 	$(foreach mofile, $(MOFILES), $(MKDIR) -p -m 755 $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES ;)
@@ -241,17 +274,24 @@
 	-rm -f $(DESTDIR)$(mandir)/man1/$(MAC2UNIX).1
 	-rm -f $(DESTDIR)$(mandir)/man1/$(UNIX2DOS).1
 	-rm -f $(DESTDIR)$(mandir)/man1/$(UNIX2MAC).1
+	$(foreach manfile, $(MANFILES), rm -f $(DESTDIR)$(datarootdir)/$(manfile) ;)
 	-rm -rf $(DESTDIR)$(docdir)
 
 clean:
 	rm -f *.o
-	rm -f $(BIN) $(UNIX2DOS_BIN) $(MAC2UNIX_BIN) $(UNIX2MAC_BIN) $(MAC2UNIX).1 $(UNIX2MAC).1
+	rm -f $(BIN) $(UNIX2DOS_BIN) $(MAC2UNIX_BIN) $(UNIX2MAC_BIN)
 	rm -f *.bak *~
-	rm -f */*.bak */*~
-
-maintainer-clean: clean
+	rm -f *.tmp
+	rm -f man/man1/*.bak man/man1/*~
+	rm -f po/*/*.bak po/*/*~
+	rm -f po/*/*.mo
+
+distclean: clean
+
+maintainer-clean: distclean
 	rm -f $(DOCFILES)
-	rm -f $(MOFILES)
+	rm -f man/man1/*.1
+	rm -f man/*/man1/*.1
 
 realclean: maintainer-clean
 
@@ -264,7 +304,11 @@
 	  share/man/man1/$(MAC2UNIX).1 \
 	  share/man/man1/$(UNIX2DOS).1 \
 	  share/man/man1/$(UNIX2MAC).1 \
-	  share/doc/$(PACKAGE)-$(DOS2UNIX_VERSION) \
+	  share/man/*/man1/$(PACKAGE).1 \
+	  share/man/*/man1/$(MAC2UNIX).1 \
+	  share/man/*/man1/$(UNIX2DOS).1 \
+	  share/man/*/man1/$(UNIX2MAC).1 \
+	  share/doc/$(docsubdir) \
 	  $(ZIPOBJ_EXTRA)
 
 ifdef ENABLE_NLS
@@ -279,26 +323,26 @@
 
 dist-zip:
 	rm -f $(prefix)/$(ZIPFILE)
-	cd $(prefix) ; unix2dos share/doc/$(PACKAGE)-$(DOS2UNIX_VERSION)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
+	cd $(prefix) ; unix2dos share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
 	cd $(prefix) ; zip -r $(ZIPFILE) $(ZIPOBJ)
 	mv -f $(prefix)/$(ZIPFILE) ..
 
 dist-tgz:
-	cd $(prefix) ; dos2unix share/doc/$(PACKAGE)-$(DOS2UNIX_VERSION)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
+	cd $(prefix) ; dos2unix share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
 	cd $(prefix) ; tar cvzf $(TGZFILE) $(ZIPOBJ)
 	mv $(prefix)/$(TGZFILE) ..
 
 dist-tbz:
-	cd $(prefix) ; dos2unix share/doc/$(PACKAGE)-$(DOS2UNIX_VERSION)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
+	cd $(prefix) ; dos2unix share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
 	cd $(prefix) ; tar cvjf $(TBZFILE) $(ZIPOBJ)
 	mv $(prefix)/$(TBZFILE) ..
 
 dist: dist-tgz
 
 strip:
-	strip $(BIN)
-	strip $(UNIX2DOS_BIN)
+	$(STRIP) $(BIN)
+	$(STRIP) $(UNIX2DOS_BIN)
 ifeq ($(LINK),cp -f)
-	strip $(MAC2UNIX_BIN)
-	strip $(UNIX2MAC_BIN)
-endif
+	$(STRIP) $(MAC2UNIX_BIN)
+	$(STRIP) $(UNIX2MAC_BIN)
+endif

=== man/man1/Makefile ===
# pod2man.mk -- Makefile portion to convert *.pod files to manual pages
#
#   Copyright information
#
#	Copyright (C) 2010 Jari Aalto
#
#   License
#
#	Redistribution and use in source and binary forms, with or
#	without modification, are permitted provided that the
#	following conditions are met:
#
#	1. Redistributions of source code must retain the above
#	   copyright notice, this list of conditions and the following
#	   disclaimer.
#
#	2. Redistributions in binary form must reproduce the above
#	   copyright notice, this list of conditions and the following
#	   disclaimer in the documentation and/or other materials
#	   provided with the distribution.
#
#	THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR
#	IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
#	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#	PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR(S) OF THIS
#	FILE OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
#	INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
#	(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
#	GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
#	INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#	WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
#	NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#	THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
#	DAMAGE.
#
#	The license text is copy of the FreeBSD License available at
#	<http://www.gnu.org/copyleft/gpl.html> with following
#	modifications: wording "THIS SOFTWARE IS PROVIDED BY THE
#	FREEBSD PROJECT" was changed to "THIS SOFTWARE IS PROVIDED 'AS
#	IS'" and wording "IN NO EVENT SHALL THE FREEBSD PROJECT" was
#	changed to "IN NO EVENT SHALL THE AUTHOR(S)"
#
#   Description
#
# 	Convert *.pod files to manual pages.

ifneq (,)
    This makefile requires GNU Make.
endif

# This variable *must* be set when calling
PACKAGE		?= dos2unix

# Optional variables to set
MANSECT		?= 1
PODCENTER	?= $$(date "+%Y-%m-%d")

# Directories
MANSRC		=
MANDEST		= $(MANSRC)

MANPOD		= $(MANSRC)$(PACKAGE).pod
MANPAGE		= $(MANDEST)$(PACKAGE).$(MANSECT)

POD2MAN		= pod2man
POD2MAN_FLAGS	=

PODFILES = $(wildcard ../*/man1/dos2unix.pod)
MAN_OBJECTS = dos2unix.1 $(patsubst %.pod,%.1,$(PODFILES))

all: $(MAN_OBJECTS)

%.1 : %.pod
	# make target - create manual page from a *.pod page
	podchecker $<
	LC_CTYPE=C $(POD2MAN) $(POD2MAN_FLAGS) \
		--center="$(PODCENTER)" \
		--name="$(PACKAGE)" \
		--section="$(MANSECT)" \
		$< \
	| sed 's,[Pp]erl v[0-9.]\+,$(PACKAGE),' \
	  > $@ && \
	rm -f pod*.tmp

# End of of Makefile part

=== debian/changelog ===
dos2unix (5.1.1-2) unstable; urgency=low

  * debian/control:
    - (Description): Improve paragraphs. Patch thanks to Reuben Thomas
      <rrt@sc3d.org> (Closes: #605383).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 30 Nov 2010 00:18:44 +0200

dos2unix (5.1.1-1) unstable; urgency=low

  * New upstream release.
    - Move to packaging format "3.0 (quilt)"
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): Update to debhelper 8.
    - (Standards-Version): Update to 3.9.1.
    - (dos2unix::Conflicts): Remove Debian *-2 version specifier from tofrodos.
  * debian/dos2unix.lintian-overrides
    - New.
  * debian/rules
    - Remove targets handled by dh(1).
  * debian/source/format
   - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 15 Nov 2010 14:38:16 +0200

dos2unix (5.0-3) unstable; urgency=low

  * UNRELEASED
  * debian/control:
    - (Description): Update to mention all the four utilities.
  * debian/copyright
    - (Lecense): Chagne id from MIT/X to FreeBSD. Add URL.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 17 Mar 2010 09:26:12 +0200

dos2unix (5.0-2) unstable; urgency=medium

  * debian/control
    - (Conflicts): add tofrodos (<< 1.7.8.debian.1-2) to handle
      upgrades (serious; Closes: #573495). See
      http://packages.qa.debian.org/t/tofrodos/news/20100121T214032Z.html

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 12 Mar 2010 11:17:24 +0200

dos2unix (5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Build-Depends): update to debhelper 7.1.
  * debian/debian-save-restore.mk
    - New file.
  * debian/rules
    - (.PHONY::binary): remove undefined target binary-indep.
  * debian/watch
    - Adjust URL and regexp.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 09 Mar 2010 21:09:55 +0200

dos2unix (4.1.2-1) unstable; urgency=low

  * Initial release (Closes: #561307)

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 15 Feb 2010 00:04:25 +0200

=== debian/control ===
Source: dos2unix
Section: text
Priority: extra
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 8), ghostscript
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/dos2unix.git
Vcs-Git: git://git.debian.org/git/collab-maint/dos2unix.git
Homepage: http://freshmeat.net/projects/dos2unix

Package: dos2unix
Conflicts: tofrodos (<< 1.7.8.debian.1)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: convert text file line endings between CRLF and LF
 This package contains utilities dos2unix, unix2dos, mac2unix,
 unix2mac to convert the line endings of text files between UNIX (LF),
 DOS (CRLF) and Mac (CR) formats.
 .
 Text files under Windows and DOS typically have two ASCII characters
 at the end of each line: CR (carriage return) followed by LF (line
 feed). Older Macs used just CR, while UNIX uses just LF. While most
 modern editors can read all these formats, there may still be a need
 to convert files between them.
 .
 This is the classic utility developed in 1989.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE         = dos2unix
PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
DOCROOTDIR      = $(PKGDIR)/usr/share/doc
PKGDOCDIR       = $(DOCROOTDIR)/$(PACKAGE)

include debian/debian-save-restore.mk

# Preserve original files, that will be generated afresh by Makefile
FILE_LIST_PRESERVE = \
 dos2unix.pdf \
 dos2unix.ps \
 dos2unix.txt \
 unix2dos.pdf \
 unix2dos.ps \
 unix2dos.txt

override_dh_auto_clean:
	$(file-state-save)
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install

	# dos2unix-N.N/ => dos2unix/
	mv -v $(DOCROOTDIR)/$$( cd $(DOCROOTDIR) && ls ) $(PKGDOCDIR)

	# Remove unknown locale

	rm -rf $(PKGDIR)/usr/share/locale/eo-x/

	# Remove files that are not needed. The PS and PDF are
	# copies of manual pages.

	rm -vf $(PKGDOCDIR)/COPYING.txt \
	       $(PKGDOCDIR)/INSTALL.txt \
	       $(PKGDOCDIR)/ChangeLog.txt \
	       $(PKGDOCDIR)/dos2unix.ps \
	       $(PKGDOCDIR)/dos2unix.pdf \
	       $(PKGDOCDIR)/unix2dos.ps \
	       $(PKGDOCDIR)/unix2dos.pdf

override_dh_installdocs:
	$(file-state-restore)
	dh_installdocs -X INSTALL.txt -X COPYING.txt -X ChangeLog.txt

%:
	dh  $@

# End of file

## dos2unix 5.3

=== Makefile ===
--- 
+++ 
@@ -1,32 +1,65 @@
-
 # Author: Erwin Waterlander
-# Copyright (C) 2009-2010 Erwin Waterlander
-# This file is distributed under the same license as the dos2unix package.
+#
+#   Copyright (C) 2009-2011 Erwin Waterlander
+#   All rights reserved.
+# 
+#   Redistribution and use in source and binary forms, with or without
+#   modification, are permitted provided that the following conditions
+#   are met:
+#   1. Redistributions of source code must retain the above copyright
+#      notice, this list of conditions and the following disclaimer.
+#   2. Redistributions in binary form must reproduce the above copyright
+#      notice in the documentation and/or other materials provided with
+#      the distribution.
+# 
+#   THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+#   EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+#   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+#   PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE
+#   FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+#   CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
+#   OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
+#   BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#   WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
+#   OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
+#   IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+#   Description
+#
+#	This is a GNU Makefile that uses GNU compilers, linkers and cpp. The
+#	platform specific issues are determined by the various OS teets that
+#	rely on the uname(1) command and directory locations.
 
 include version.mk
 
-CC=gcc
-STRIP=strip
-PACKAGE=dos2unix
-UNIX2DOS=unix2dos
-MAC2UNIX=mac2unix
-UNIX2MAC=unix2mac
-
-ENABLE_NLS = 1
+CC		= gcc
+CPP		= cpp
+CPP_FLAGS_POD	= ALL
+STRIP		= strip
+
+PACKAGE		= dos2unix
+UNIX2DOS	= unix2dos
+MAC2UNIX	= mac2unix
+UNIX2MAC	= unix2mac
+
+# Native Language Support (NLS)
+ENABLE_NLS	= 1
+# Large File Support (LFS)
+LFS             = 1
+DEBUG = 0
 
 EXE=
-ifneq (, $(wildcard /cygdrive))
-	EXE = .exe
-endif
-BIN=$(PACKAGE)$(EXE)
-UNIX2DOS_BIN=$(UNIX2DOS)$(EXE)
-MAC2UNIX_BIN=$(MAC2UNIX)$(EXE)
-UNIX2MAC_BIN=$(UNIX2MAC)$(EXE)
+
+BIN		= $(PACKAGE)$(EXE)
+UNIX2DOS_BIN	= $(UNIX2DOS)$(EXE)
+MAC2UNIX_BIN	= $(MAC2UNIX)$(EXE)
+UNIX2MAC_BIN	= $(UNIX2MAC)$(EXE)
 
 # DJGPP support linking of .EXEs via 'stubify'.
 # See djgpp.mak and http://www.delorie.com/djgpp/v2faq/faq22_5.html
-LINK = ln -sf
-LINK_MAN = $(LINK)
+
+LINK		= ln -sf
+LINK_MAN	= $(LINK)
 
 prefix		= /usr
 exec_prefix	= $(prefix)
@@ -42,17 +75,27 @@
 manext		= .1
 man1ext		= .1
 
-ifdef ENABLE_NLS
-DOS2UNIX_POT		= po/dos2unix/$(PACKAGE).pot
-DOS2UNIX_POFILES	= $(wildcard po/dos2unix/*.po)
-DOS2UNIX_MOFILES	= $(patsubst %.po,%.mo,$(DOS2UNIX_POFILES))
-UNIX2DOS_POT		= po/unix2dos/$(UNIX2DOS).pot
-UNIX2DOS_POFILES	= $(wildcard po/unix2dos/*.po)
-UNIX2DOS_MOFILES	= $(patsubst %.po,%.mo,$(UNIX2DOS_POFILES))
-MOFILES			= $(DOS2UNIX_MOFILES) $(UNIX2DOS_MOFILES)
-endif
-DOCFILES	= $(PACKAGE).txt $(PACKAGE).ps $(PACKAGE).pdf $(PACKAGE).htm
-INSTALL_OBJS_DOC = README.txt NEWS.txt ChangeLog.txt COPYING.txt TODO.txt $(DOCFILES)
+# For systems that don't support Unicode or Latin-3, select
+# Esperanto in X-notation format: EO_XNOTATION=1
+
+ifdef EO_XNOTATION
+EO_NOTATION = -x
+endif
+
+ifdef ENABLE_NLS
+	DOS2UNIX_POT		= po/dos2unix/$(PACKAGE).pot
+	DOS2UNIX_POFILES	= $(wildcard po/dos2unix/??.po)
+	DOS2UNIX_MOFILES	= $(patsubst %.po,%.mo,$(DOS2UNIX_POFILES))
+	UNIX2DOS_POT		= po/unix2dos/$(UNIX2DOS).pot
+	UNIX2DOS_POFILES	= $(wildcard po/unix2dos/??.po)
+	UNIX2DOS_MOFILES	= $(patsubst %.po,%.mo,$(UNIX2DOS_POFILES))
+	POFILES			= $(DOS2UNIX_POFILES) $(UNIX2DOS_POFILES)
+	EOX_POFILES		= po/dos2unix/eo-x.po po/unix2dos/eo-x.po
+	MOFILES			= $(DOS2UNIX_MOFILES) $(UNIX2DOS_MOFILES)
+endif
+
+DOCFILES	= $(PACKAGE).txt $(PACKAGE).htm
+INSTALL_OBJS_DOC = README.txt NEWS.txt ChangeLog.txt COPYING.txt TODO.txt BUGS.txt $(DOCFILES)
 
 #PODFILES	= man/man1/dos2unix.pod $(wildcard man/*/man1/dos2unix.pod)
 PODFILES	= $(wildcard man/*/man1/dos2unix.pod)
@@ -60,6 +103,7 @@
 
 # On some systems (e.g. FreeBSD 4.10) GNU install is installed as `ginstall'.
 INSTALL		= install
+
 # On some systems (e.g. GNU Win32) GNU mkdir is installed as `gmkdir'.
 MKDIR           = mkdir
 
@@ -79,10 +123,8 @@
 endif
 
 ifndef OS
-ifneq (, $(wildcard /cygdrive))
+ifeq ($(findstring CYGWIN,$(shell uname)),CYGWIN)
 	OS = cygwin
-	LINK = cp -f
-	LINK_MAN = cp -f
 endif
 endif
 
@@ -90,6 +132,16 @@
 ifdef ENABLE_NLS
 	LDFLAGS_EXTRA = -lintl -liconv -Wl,--enable-auto-import
 endif
+	EXE = .exe
+	# allow non-cygwin clients which do not understand cygwin
+	# symbolic links to launch applications...
+	LINK = ln -f
+	# but use symbolic links for man pages, since man client
+	# IS a cygwin app and DOES understand symlinks.
+	LINK_MAN = ln -fs
+	# Cygwin packaging standard avoids version numbers on
+	# documentation directories.
+	docsubdir	= $(PACKAGE)
 endif
 
 
@@ -144,36 +196,43 @@
 
 # ............................................................ flags ...
 
-CFLAGS	= -O2 -Wall -D_LARGEFILE_SOURCE $(RPM_OPT_FLAGS)
+CFLAGS	= -O2 -Wall $(RPM_OPT_FLAGS)
 
 EXTRA_CFLAGS	= -DVER_REVISION=\"$(DOS2UNIX_VERSION)\" \
 		  -DVER_DATE=\"$(DOS2UNIX_DATE)\" \
+		  -DDEBUG=$(DEBUG) \
 		  $(CFLAGS_OS)
 
 ifdef STATIC
 	EXTRA_CFLAGS += -static
 endif
 
+ifdef LFS
+	EXTRA_CFLAGS += -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
+endif
+
 LDFLAGS		= $(LDFLAGS_EXTRA)
 
 DEFS		= $(EXTRA_DEFS)
 
 # .......................................................... targets ...
 
-
-all: $(BIN) $(MAC2UNIX_BIN) $(UNIX2DOS_BIN) $(UNIX2MAC_BIN) $(DOCFILES) $(MOFILES) $(MANFILES) man/man1/dos2unix.1
-
-dos2unix.o : dos2unix.c
+all: $(BIN) $(MAC2UNIX_BIN) $(UNIX2DOS_BIN) $(UNIX2MAC_BIN) $(DOCFILES) $(MOFILES) $(EOX_POFILES) $(MANFILES) man/man1/dos2unix.1
+
+querycp.o : querycp.c querycp.h
 	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@
 
-unix2dos.o : unix2dos.c
+dos2unix.o : dos2unix.c dos2unix.h querycp.h
+	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@
+
+unix2dos.o : unix2dos.c unix2dos.h querycp.h
 	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(UNIX2DOS_NLSDEFS) $(CFLAGS) -c $< -o $@
 
-$(BIN): dos2unix.o
-	$(CC) $< $(LDFLAGS) -o $@
-
-$(UNIX2DOS_BIN): unix2dos.o
-	$(CC) $< $(LDFLAGS) -o $@
+$(BIN): dos2unix.o querycp.o
+	$(CC) $+ $(LDFLAGS) -o $@
+
+$(UNIX2DOS_BIN): unix2dos.o querycp.o
+	$(CC) $+ $(LDFLAGS) -o $@
 
 $(MAC2UNIX_BIN) : $(BIN)
 	$(LINK) $< $@
@@ -186,11 +245,19 @@
 
 mofiles: $(MOFILES)
 
-docfiles: $(DOCFILES)
+html: $(PACKAGE).htm
+
+txt: $(PACKAGE).txt
+
+ps: $(PACKAGE).ps
+
+pdf: $(PACKAGE).pdf
+
+doc: $(DOCFILES)
 
 tags: $(DOS2UNIX_POT)
 
-merge: $(DOS2UNIX_POFILES)
+merge: $(POFILES) $(EOX_POFILES)
 
 po/dos2unix/%.po : $(DOS2UNIX_POT)
 	msgmerge -U $@ $(DOS2UNIX_POT) --backup=numbered
@@ -203,6 +270,12 @@
 	touch $@
 
 %.mo : %.po
+	msgfmt -c $< -o $@
+
+po/dos2unix/eo.mo : po/dos2unix/eo$(EO_NOTATION).po
+	msgfmt -c $< -o $@
+
+po/unix2dos/eo.mo : po/unix2dos/eo$(EO_NOTATION).po
 	msgfmt -c $< -o $@
 
 $(DOS2UNIX_POT) : dos2unix.c
@@ -258,7 +331,7 @@
 endif
 	@echo "-- install-doc"
 	$(MKDIR) -p -m 755 $(DESTDIR)$(docdir)
-	$(INSTALL) -m 644 $(INSTALL_OBJS_DOC) $(DESTDIR)$(docdir)
+	$(INSTALL) -m 644 $(INSTALL_OBJS_DOC) $(wildcard $(PACKAGE).ps) $(wildcard $(PACKAGE).pdf) $(DESTDIR)$(docdir)
 
 uninstall:
 	@echo "-- target: uninstall"
@@ -289,7 +362,7 @@
 distclean: clean
 
 maintainer-clean: distclean
-	rm -f $(DOCFILES)
+	rm -f $(DOCFILES) $(PACKAGE).ps $(PACKAGE).pdf
 	rm -f man/man1/*.1
 	rm -f man/*/man1/*.1
 
@@ -324,25 +397,5 @@
 dist-zip:
 	rm -f $(prefix)/$(ZIPFILE)
 	cd $(prefix) ; unix2dos share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
+	cd $(prefix) ; unix2dos share/man/*/man1/$(PACKAGE).1 share/man/*/man1/$(MAC2UNIX).1 share/man/*/man1/$(UNIX2DOS).1 share/man/*/man1/$(UNIX2MAC).1
 	cd $(prefix) ; zip -r $(ZIPFILE) $(ZIPOBJ)
-	mv -f $(prefix)/$(ZIPFILE) ..
-
-dist-tgz:
-	cd $(prefix) ; dos2unix share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
-	cd $(prefix) ; tar cvzf $(TGZFILE) $(ZIPOBJ)
-	mv $(prefix)/$(TGZFILE) ..
-
-dist-tbz:
-	cd $(prefix) ; dos2unix share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
-	cd $(prefix) ; tar cvjf $(TBZFILE) $(ZIPOBJ)
-	mv $(prefix)/$(TBZFILE) ..
-
-dist: dist-tgz
-
-strip:
-	$(STRIP) $(BIN)
-	$(STRIP) $(UNIX2DOS_BIN)
-ifeq ($(LINK),cp -f)
-	$(STRIP) $(MAC2UNIX_BIN)
-	$(STRIP) $(UNIX2MAC_BIN)
-endif

=== man/man1/Makefile ===
--- 
+++ 
@@ -81,5 +81,8 @@
 	| sed 's,[Pp]erl v[0-9.]\+,$(PACKAGE),' \
 	  > $@ && \
 	rm -f pod*.tmp
+# fix for bug http://rt.perl.org/rt3//Public/Bug/Display.html?id=79410 
+# "Pod2man creates wrong ROFF esc sequences for Latin-1 characters."
+	perl -pli.bak -e s/e\\\\\\*:/\\\\[:e]/ $@
 
 # End of of Makefile part

=== debian/changelog ===
dos2unix (5.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Standards-Version): update to 3.9.2.
  * debian/copyright:
    - Update to DEP5.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 27 Apr 2011 19:04:10 +0300

dos2unix (5.2.1-1) unstable; urgency=low

  * New upstream release
    - Large file support is enabled by default (Close: #614360).
    - Esperanto eo-x locate is no longer generated by default.
  * debian/clean
    - New file. Delete generated files.
  * debian/control
    - (Build-Depends): remove ghostscript; optional in latest release.
  * debian/debian-save-restore.mk
    - Remove. No longer needed.
  * debian/rules
    - (override_dh_auto_install): remove calls no longer needed.
    - Remove file-state-* macros. New release no longer ships copies
      of generated files.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 05 Mar 2011 11:37:15 +0200

dos2unix (5.2-1) unstable; urgency=low

  * New upstream release.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 01 Feb 2011 06:59:43 +0200

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE         = dos2unix
PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
DOCROOTDIR      = $(PKGDIR)/usr/share/doc
PKGDOCDIR       = $(DOCROOTDIR)/$(PACKAGE)

override_dh_auto_install:
	dh_auto_install

	# dos2unix-N.N/ => dos2unix/
	mv -v $(DOCROOTDIR)/$$( cd $(DOCROOTDIR) && ls ) $(PKGDOCDIR)

	# Remove files that are not needed. The PS and PDF are
	# copies of manual pages.

	rm -vf $(PKGDOCDIR)/COPYING.txt \
	       $(PKGDOCDIR)/INSTALL.txt \
	       $(PKGDOCDIR)/ChangeLog.txt \

override_dh_installdocs:
	dh_installdocs -X INSTALL.txt -X COPYING.txt -X ChangeLog.txt

%:
	dh  $@

# End of file

## dos2unix 5.3.1

=== Makefile ===
--- 
+++ 
@@ -83,15 +83,10 @@
 endif
 
 ifdef ENABLE_NLS
-	DOS2UNIX_POT		= po/dos2unix/$(PACKAGE).pot
-	DOS2UNIX_POFILES	= $(wildcard po/dos2unix/??.po)
-	DOS2UNIX_MOFILES	= $(patsubst %.po,%.mo,$(DOS2UNIX_POFILES))
-	UNIX2DOS_POT		= po/unix2dos/$(UNIX2DOS).pot
-	UNIX2DOS_POFILES	= $(wildcard po/unix2dos/??.po)
-	UNIX2DOS_MOFILES	= $(patsubst %.po,%.mo,$(UNIX2DOS_POFILES))
-	POFILES			= $(DOS2UNIX_POFILES) $(UNIX2DOS_POFILES)
-	EOX_POFILES		= po/dos2unix/eo-x.po po/unix2dos/eo-x.po
-	MOFILES			= $(DOS2UNIX_MOFILES) $(UNIX2DOS_MOFILES)
+	POT		= po/$(PACKAGE).pot
+	POFILES		= $(wildcard po/??.po)
+	MOFILES		= $(patsubst %.po,%.mo,$(POFILES))
+	EOX_POFILES	= po/eo-x.po
 endif
 
 DOCFILES	= $(PACKAGE).txt $(PACKAGE).htm
@@ -109,7 +104,6 @@
 
 ifdef ENABLE_NLS
 	DOS2UNIX_NLSDEFS = -DENABLE_NLS -DLOCALEDIR=\"$(localedir)\" -DPACKAGE=\"$(PACKAGE)\"
-	UNIX2DOS_NLSDEFS = -DENABLE_NLS -DLOCALEDIR=\"$(localedir)\" -DPACKAGE=\"$(UNIX2DOS)\"
 endif
 
 # ......................................................... OS flags ...
@@ -219,19 +213,22 @@
 
 all: $(BIN) $(MAC2UNIX_BIN) $(UNIX2DOS_BIN) $(UNIX2MAC_BIN) $(DOCFILES) $(MOFILES) $(EOX_POFILES) $(MANFILES) man/man1/dos2unix.1
 
+common.o : common.c common.h
+	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@
+
 querycp.o : querycp.c querycp.h
 	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@
 
-dos2unix.o : dos2unix.c dos2unix.h querycp.h
+dos2unix.o : dos2unix.c dos2unix.h querycp.h common.h
 	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@
 
-unix2dos.o : unix2dos.c unix2dos.h querycp.h
-	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(UNIX2DOS_NLSDEFS) $(CFLAGS) -c $< -o $@
-
-$(BIN): dos2unix.o querycp.o
+unix2dos.o : unix2dos.c unix2dos.h querycp.h common.h
+	$(CC) $(DEFS) $(EXTRA_CFLAGS) $(DOS2UNIX_NLSDEFS) $(CFLAGS) -c $< -o $@
+
+$(BIN): dos2unix.o querycp.o common.o
 	$(CC) $+ $(LDFLAGS) -o $@
 
-$(UNIX2DOS_BIN): unix2dos.o querycp.o
+$(UNIX2DOS_BIN): unix2dos.o querycp.o common.o
 	$(CC) $+ $(LDFLAGS) -o $@
 
 $(MAC2UNIX_BIN) : $(BIN)
@@ -255,34 +252,23 @@
 
 doc: $(DOCFILES)
 
-tags: $(DOS2UNIX_POT)
+tags: $(POT)
 
 merge: $(POFILES) $(EOX_POFILES)
 
-po/dos2unix/%.po : $(DOS2UNIX_POT)
-	msgmerge -U $@ $(DOS2UNIX_POT) --backup=numbered
+po/%.po : $(POT)
+	msgmerge -U $@ $(POT) --backup=numbered
 	# change timestamp in case .po file was not updated.
 	touch $@
 
-po/unix2dos/%.po : $(UNIX2DOS_POT)
-	msgmerge -U $@ $(UNIX2DOS_POT) --backup=numbered
-	# change timestamp in case .po file was not updated.
-	touch $@
-
 %.mo : %.po
 	msgfmt -c $< -o $@
 
-po/dos2unix/eo.mo : po/dos2unix/eo$(EO_NOTATION).po
+po/eo.mo : po/eo$(EO_NOTATION).po
 	msgfmt -c $< -o $@
 
-po/unix2dos/eo.mo : po/unix2dos/eo$(EO_NOTATION).po
-	msgfmt -c $< -o $@
-
-$(DOS2UNIX_POT) : dos2unix.c
-	xgettext -C --keyword=_ $+ -o $(DOS2UNIX_POT)
-
-$(UNIX2DOS_POT) : unix2dos.c
-	xgettext -C --keyword=_ $+ -o $(UNIX2DOS_POT)
+$(POT) : dos2unix.c unix2dos.c common.c
+	xgettext -C --keyword=_ $+ -o $(POT)
 
 %.txt : man/man1/%.pod
 	LC_CTYPE=C pod2text $< > $@
@@ -326,8 +312,7 @@
 ifdef ENABLE_NLS
 	@echo "-- install-mo"
 	$(foreach mofile, $(MOFILES), $(MKDIR) -p -m 755 $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES ;)
-	$(foreach mofile, $(DOS2UNIX_MOFILES), $(INSTALL) -m 644 $(mofile) $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(PACKAGE).mo ;)
-	$(foreach mofile, $(UNIX2DOS_MOFILES), $(INSTALL) -m 644 $(mofile) $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(UNIX2DOS).mo ;)
+	$(foreach mofile, $(MOFILES), $(INSTALL) -m 644 $(mofile) $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(PACKAGE).mo ;)
 endif
 	@echo "-- install-doc"
 	$(MKDIR) -p -m 755 $(DESTDIR)$(docdir)
@@ -340,8 +325,7 @@
 	-rm -f $(DESTDIR)$(bindir)/$(UNIX2DOS_BIN)
 	-rm -f $(DESTDIR)$(bindir)/$(UNIX2MAC_BIN)
 ifdef ENABLE_NLS
-	$(foreach mofile, $(DOS2UNIX_MOFILES), rm -f $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(PACKAGE).mo ;)
-	$(foreach mofile, $(UNIX2DOS_MOFILES), rm -f $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(UNIX2DOS).mo ;)
+	$(foreach mofile, $(MOFILES), rm -f $(DESTDIR)$(localedir)/$(basename $(notdir $(mofile)))/LC_MESSAGES/$(PACKAGE).mo ;)
 endif
 	-rm -f $(DESTDIR)$(mandir)/man1/$(PACKAGE).1
 	-rm -f $(DESTDIR)$(mandir)/man1/$(MAC2UNIX).1
@@ -356,8 +340,9 @@
 	rm -f *.bak *~
 	rm -f *.tmp
 	rm -f man/man1/*.bak man/man1/*~
-	rm -f po/*/*.bak po/*/*~
-	rm -f po/*/*.mo
+	rm -f man/*/man1/*.bak man/*/man1/*~
+	rm -f po/*.bak po/*~
+	rm -f po/*.mo
 
 distclean: clean
 
@@ -386,7 +371,6 @@
 
 ifdef ENABLE_NLS
 ZIPOBJ += share/locale/*/LC_MESSAGES/$(PACKAGE).mo
-ZIPOBJ += share/locale/*/LC_MESSAGES/$(UNIX2DOS).mo
 endif
 
 VERSIONSUFFIX	= -bin
@@ -399,3 +383,27 @@
 	cd $(prefix) ; unix2dos share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
 	cd $(prefix) ; unix2dos share/man/*/man1/$(PACKAGE).1 share/man/*/man1/$(MAC2UNIX).1 share/man/*/man1/$(UNIX2DOS).1 share/man/*/man1/$(UNIX2MAC).1
 	cd $(prefix) ; zip -r $(ZIPFILE) $(ZIPOBJ)
+	mv -f $(prefix)/$(ZIPFILE) ..
+
+dist-tgz:
+	cd $(prefix) ; dos2unix share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
+	cd $(prefix) ; dos2unix share/man/*/man1/$(PACKAGE).1 share/man/*/man1/$(MAC2UNIX).1 share/man/*/man1/$(UNIX2DOS).1 share/man/*/man1/$(UNIX2MAC).1
+	cd $(prefix) ; tar cvzf $(TGZFILE) $(ZIPOBJ)
+	mv $(prefix)/$(TGZFILE) ..
+
+dist-tbz:
+	cd $(prefix) ; dos2unix share/doc/$(docsubdir)/*.txt share/man/man1/$(PACKAGE).1 share/man/man1/$(MAC2UNIX).1 share/man/man1/$(UNIX2DOS).1 share/man/man1/$(UNIX2MAC).1
+	cd $(prefix) ; dos2unix share/man/*/man1/$(PACKAGE).1 share/man/*/man1/$(MAC2UNIX).1 share/man/*/man1/$(UNIX2DOS).1 share/man/*/man1/$(UNIX2MAC).1
+	cd $(prefix) ; tar cvjf $(TBZFILE) $(ZIPOBJ)
+	mv $(prefix)/$(TBZFILE) ..
+
+dist: dist-tgz
+
+strip:
+	$(STRIP) $(BIN)
+	$(STRIP) $(UNIX2DOS_BIN)
+ifeq ($(LINK),cp -f)
+	$(STRIP) $(MAC2UNIX_BIN)
+	$(STRIP) $(UNIX2MAC_BIN)
+endif
+

=== debian/changelog ===
dos2unix (5.3.1-1) unstable; urgency=low

  * New upstream release.
    - The unix2dos .mo files are gone. The programs shares the dos2unix
      .mo files.
  * debian/copyright
    - (Format): Update URL (lintian).
  * debian/debian-save-restore.mk
    - New file.
  * debian/rules
    - (override_dh_clean): Clean up generated files.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 07 Oct 2011 16:10:07 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: extra
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 8), ghostscript
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dos2unix.git
 Vcs-Git: git://git.debian.org/git/collab-maint/dos2unix.git
 Homepage: http://freshmeat.net/projects/dos2unix

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
 DOCROOTDIR      = $(PKGDIR)/usr/share/doc
 PKGDOCDIR       = $(DOCROOTDIR)/$(PACKAGE)
+
+override_dh_clean:
+	dh_clean
+	rm -f man/es/man1/dos2unix.1
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
# <Webpage URL> <string match>
http://www.xs4all.nl/~waterlan/dos2unix.html .*dos2unix-([.\d]+)\.tar\.gz

## dos2unix 5.3.2

=== debian/changelog ===
dos2unix (5.3.2-2) unstable; urgency=low

  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): Update to debhelper 9, dpkg-dev 1.16.1.
  * debian/rules
    - (include): Add buildflags.mk.
    - (override_dh_auto_build): New. Use hardened CFLAGS (release goal).
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 05 Feb 2012 21:20:34 +0200

dos2unix (5.3.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright
    - Update year.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 28 Jan 2012 08:19:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: extra
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1)
 Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dos2unix.git
 Vcs-Git: git://git.debian.org/git/collab-maint/dos2unix.git

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,17 @@
 PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
 DOCROOTDIR      = $(PKGDIR)/usr/share/doc
 PKGDOCDIR       = $(DOCROOTDIR)/$(PACKAGE)
+CFLAGS_EXTRA	= -Wall -pedantic
+
+include /usr/share/dpkg/buildflags.mk
+export CPPFLAGS CFLAGS LDFLAGS
 
 override_dh_clean:
 	dh_clean
 	rm -f man/es/man1/dos2unix.1
+
+override_dh_auto_build:
+	$(MAKE) CFLAGS="$(CFLAGS_EXTRA) $(CFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install
@@ -26,6 +33,6 @@
 	dh_installdocs -X INSTALL.txt -X COPYING.txt -X ChangeLog.txt
 
 %:
-	dh  $@
+	dh $@
 
 # End of file

## dos2unix 5.3.3

=== debian/changelog ===
dos2unix (5.3.3-1) unstable; urgency=low

  * New upstream release.
  * debian/clean
    - Adjust po and *.html files.
  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/docs
    - Clean up unnecessary files.
  * debian/rules
    - Enable all hardening flags.
    - Delete buildflags.mk; not needed with debhelper 9.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 11 Mar 2012 06:41:52 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,20 +1,22 @@
 #!/usr/bin/make -f
 
-PACKAGE         = dos2unix
+PACKAGE		= dos2unix
 PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
-DOCROOTDIR      = $(PKGDIR)/usr/share/doc
-PKGDOCDIR       = $(DOCROOTDIR)/$(PACKAGE)
-CFLAGS_EXTRA	= -Wall -pedantic
+DOCROOTDIR	= $(PKGDIR)/usr/share/doc
+PKGDOCDIR	= $(DOCROOTDIR)/$(PACKAGE)
 
-include /usr/share/dpkg/buildflags.mk
-export CPPFLAGS CFLAGS LDFLAGS
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+CFLAGS	+= -Wall -pedantic
+LDFLAGS += -Wl,--as-needed
 
 override_dh_clean:
 	dh_clean
 	rm -f man/es/man1/dos2unix.1
 
 override_dh_auto_build:
-	$(MAKE) CFLAGS="$(CFLAGS_EXTRA) $(CFLAGS)"
+	$(MAKE) HTMLEXT=html \
+		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
+		RPM_OPT_FLAGS="$(LDFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install

## dos2unix 6.0

=== debian/changelog ===
dos2unix (6.0-1) unstable; urgency=low

  * New upstream release, see changes:
    http://freecode.com/projects/dos2unix#release_344448
  * debian/changelog
    - (override_dh_auto_build): Use LDFLAGS_USER to pass hardening flags.
  * debian/watch
    - Remove unnneeded comment.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 07 May 2012 08:08:37 +0300

dos2unix (5.3.3-2) unstable; urgency=low

  * debian/clean
    - Delete Esperanto manual page (unknown locale).
    - Don't remove original po/*.pot files.
  * debian/control
    - (Build-Depends): Rm dpkg-dev; not needed with debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/rules
    - Remove unnecessary targets. Preserve original po/*.pot file.
    - Enable all hardening flags.
    - Use DEB_*_MAINT_* variables.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 23 Mar 2012 04:43:55 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: extra
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.3.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dos2unix.git
 Vcs-Git: git://git.debian.org/git/collab-maint/dos2unix.git
 Homepage: http://freshmeat.net/projects/dos2unix

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE		= dos2unix
PKGDIR		= $(CURDIR)/debian/$(PACKAGE)
DOCROOTDIR	= $(PKGDIR)/usr/share/doc
PKGDOCDIR	= $(DOCROOTDIR)/$(PACKAGE)

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_build:
	# save/restore original file as it is.
	cp -va po/dos2unix.pot po/dos2unix.pot.original
	$(MAKE) HTMLEXT=html \
		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS_USER="$(LDFLAGS)"
	mv -v po/dos2unix.pot.original po/dos2unix.pot

override_dh_auto_install:
	dh_auto_install

	# dos2unix-N.N/ => dos2unix/
	mv -v $(DOCROOTDIR)/$$(cd $(DOCROOTDIR) && ls) $(PKGDOCDIR)

	# Remove files that are not needed

	rm -vf $(PKGDOCDIR)/COPYING.txt \
	       $(PKGDOCDIR)/INSTALL.txt \
	       $(PKGDOCDIR)/ChangeLog.txt \

%:
	dh $@

# End of file

=== debian/watch ===
version=3
http://www.xs4all.nl/~waterlan/dos2unix.html .*dos2unix-([.\d]+)\.tar\.gz
